/*
   Libre Media Server - A Media Server Sotfware for stage and performing
   Copyright (C) 2012-2013  Santiago Noreña libremediaserver@gmail.com

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef LIBREMEDIASERVERAUDIO_H
#define LIBREMEDIASERVERAUDIO_H

#include <QMainWindow>
#include <QDockWidget>
#include <QFile>
#include <QFileInfo>
#include <QFileDialog>
#include <QTextStream>
#include <QWebView>
//#include <QUrl>
#include <QVBoxLayout>
#include <QTextEdit>

#include "medialibrary.h"
#include "audiowidget.h"
#include "settings.h"
#include "olathread.h"
#include "audiomasterwidget.h"
#include "defines.h"

#include "ui_libremediaserver-audio.h"

class QMenu;

class libreMediaServerAudio : public QMainWindow
{
    Q_OBJECT

public:

    libreMediaServerAudio (QStringList args, QWidget *parent = 0);
    virtual ~libreMediaServerAudio();

    Ui::LibreMediaServerAudio ui;

//    static QTextEdit *textEdit; // Terminal de feedback

protected:

private:

    //   void MessageHandler(QtMsgType type, const QMessageLogContext &logcontext, const QString &msg);
   AudioMasterWidget *amw;
//   AudioWidget *aw;
   olaThread *ola;

   void open_start();
   void save_finish();
   void open(QFile *file);
   void save(QFile *file);

public slots:
//   inline void toTerminal(QString msg) { textEdit->append(msg); }

private slots:

//    void loadbang();
    void olasetup();
    void dmxInput(int layer, int channel, int value);

    // Menu File
    void openFile();
    void saveFile();
    void ChangeMediaPath();// Change the path to medias
};

#endif // LIBREMEDIASERVERAUDIO_H
